package com.rms.tfc.web;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import com.rms.tfc.entity.Pedido;
import com.rms.tfc.service.HistoricoBean;
import com.rms.tfc.service.PedidoService;

@Controller
public class HistoricoController {

	@Resource
	private PedidoService pedidoService;
	
	@RequestMapping("/Historico.html")
    public ModelAndView handleRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
		String descripcion = null;
		String fechaDesde = null;
		String fechaHasta = null;
		List<Pedido> listaPedidos = null;
		Boolean hayBusqueda = Boolean.valueOf(request.getParameter("hayBusqueda"));
		if (hayBusqueda.booleanValue()){
			descripcion = request.getParameter("descripcion");
			fechaDesde = request.getParameter("fechaDesde");
			fechaHasta = request.getParameter("fechaHasta");
			listaPedidos = pedidoService.getAllPedidosHistorico(descripcion, fechaDesde, fechaHasta);
			if (listaPedidos == null){
				listaPedidos = new ArrayList<Pedido>();
			}
		} else {
			listaPedidos = new ArrayList<Pedido>();
		}
		HistoricoBean historicoBean = new HistoricoBean(descripcion, fechaDesde, fechaHasta, listaPedidos);
		return new ModelAndView("historico", "objetoJSP", historicoBean);
    }

	public void setPedidoService(PedidoService pedidoService) {
		this.pedidoService = pedidoService;
	}
}